function B=m011(bit);
%planos de bits
disp('USO: m011(bit);');

A=imread('_im_lenna_256.jpg');
[nf nc]=size(A);
A=double(A);

%visualiza sin Toolbox de Imagenes
colormap(gray(256));
image(A);
disp('Presione una tecla para mostrar planos de bits...');pause

B=0*A;

pb=2^(bit-1);
for f=1:nf
   for c=1:nc
      aux=bitand(A(f,c),pb);
      B(f,c)=bitget(aux,bit);
   end;%for
end;%for

image(B*255);